Package org.eclipse.emf.cdo.net4j

## Class CDONet4jViewProvider

- java.lang.Object
- - org.eclipse.emf.cdo.view.AbstractCDOViewProvider
  - - org.eclipse.emf.cdo.net4j.CDONet4jViewProvider

- All Implemented Interfaces:
    `CDOViewProvider`, `CDOViewProvider.CDOViewProvider2`
  Direct Known Subclasses:
    `CDONet4jViewProvider.JVM`, `CDONet4jViewProvider.SSL`, `CDONet4jViewProvider.TCP`, `CDONet4jViewProvider.WS`

      public abstract class CDONet4jViewProvider
      extends AbstractCDOViewProvider

  A `view provider` that uses Net4j-specific CDO `sessions` to open views.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDONet4jViewProvider.JVM` | A JVM-based `view provider`.
    `static class` | `CDONet4jViewProvider.SSL` | An SSL-based `view provider`.
    `static class` | `CDONet4jViewProvider.TCP` | A TCP-based `view provider`.
    `static class` | `CDONet4jViewProvider.WS` | A WS-based `view provider`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `CDOViewProvider.CDOViewProvider2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `transport` |

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDONet4jViewProvider​(java.lang.String transport, int priority)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CDOURIData` | `createURIData​(org.eclipse.emf.common.util.URI uri)` |
    `protected org.eclipse.net4j.connector.IConnector` | `getConnector​(java.lang.String authority)` |
    `protected java.lang.String` | `getConnectorDescription​(java.lang.String authority)` |
    `protected org.eclipse.net4j.util.container.IManagedContainer` | `getContainer()` |
    `protected CDONet4jSession` | `getNet4jSession​(org.eclipse.net4j.connector.IConnector connector, java.lang.String userName, java.lang.String passWord, java.lang.String repositoryName)` |
    `protected CDONet4jSessionConfiguration` | `getNet4jSessionConfiguration​(org.eclipse.net4j.connector.IConnector connector, java.lang.String userName, java.lang.String passWord, java.lang.String repositoryName)` |
    `java.lang.String` | `getPath​(org.eclipse.emf.common.util.URI uri)` | Should be overridden for non-canonical URI formats!
    `org.eclipse.emf.common.util.URI` | `getResourceURI​(java.lang.String transport, java.lang.String authority, java.lang.String repositoryName, java.lang.String resourcePath, java.lang.String branchPath, long timeStamp, boolean readOnly)` |
    `org.eclipse.emf.common.util.URI` | `getResourceURI​(CDOView view, java.lang.String path)` | Must be overridden for non-canonical URI formats!
    `protected CDOSession` | `getSession​(org.eclipse.net4j.connector.IConnector connector, java.lang.String userName, java.lang.String passWord, java.lang.String repositoryName)` | Deprecated. Use `getNet4jSession()`.
    `protected CDOSessionConfiguration` | `getSessionConfiguration​(org.eclipse.net4j.connector.IConnector connector, java.lang.String userName, java.lang.String passWord, java.lang.String repositoryName)` | Deprecated. Use `getNet4jSessionConfiguration()`.
    `protected java.lang.String` | `getURIAuthority​(org.eclipse.net4j.connector.IConnector connector)` |
    `CDOView` | `getView​(org.eclipse.emf.common.util.URI uri, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)` | Receives a URI and returns an opened `CDOView` against the repository.
    `org.eclipse.emf.common.util.URI` | `getViewURI​(org.eclipse.emf.common.util.URI uri)` | Should be overridden for non-canonical URI formats!

    - ### Methods inherited from class org.eclipse.emf.cdo.view.AbstractCDOViewProvider

      `getActualName, getDeclaredName, getPriority, getRegex, getViewURI, matchesRegex, setPriority, setRegex, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### transport

          protected final java.lang.String transport

      Since:
        4.3

  - ### Constructor Detail

    - #### CDONet4jViewProvider

          public CDONet4jViewProvider​(java.lang.String transport,
                                      int priority)

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath​(org.eclipse.emf.common.util.URI uri)

      Description copied from class: `AbstractCDOViewProvider`
      Should be overridden for non-canonical URI formats!
      Specified by:
        `getPath` in interface `CDOViewProvider.CDOViewProvider2`
      Overrides:
        `getPath` in class `AbstractCDOViewProvider`

    - #### getView

          public CDOView getView​(org.eclipse.emf.common.util.URI uri,
                                 org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

      Description copied from interface: `CDOViewProvider`
      Receives a URI and returns an opened `CDOView` against the repository.

    - #### getViewURI

          public org.eclipse.emf.common.util.URI getViewURI​(org.eclipse.emf.common.util.URI uri)

      Description copied from class: `AbstractCDOViewProvider`
      Should be overridden for non-canonical URI formats!
      Specified by:
        `getViewURI` in interface `CDOViewProvider.CDOViewProvider2`
      Overrides:
        `getViewURI` in class `AbstractCDOViewProvider`

    - #### getResourceURI

          public org.eclipse.emf.common.util.URI getResourceURI​(CDOView view,
                                                                java.lang.String path)

      Description copied from class: `AbstractCDOViewProvider`
      Must be overridden for non-canonical URI formats!
      Specified by:
        `getResourceURI` in interface `CDOViewProvider`
      Overrides:
        `getResourceURI` in class `AbstractCDOViewProvider`

    - #### getResourceURI

          public org.eclipse.emf.common.util.URI getResourceURI​(java.lang.String transport,
                                                                java.lang.String authority,
                                                                java.lang.String repositoryName,
                                                                java.lang.String resourcePath,
                                                                java.lang.String branchPath,
                                                                long timeStamp,
                                                                boolean readOnly)

      Since:
        4.4

    - #### createURIData

          protected CDOURIData createURIData​(org.eclipse.emf.common.util.URI uri)

      Since:
        4.3

    - #### getURIAuthority

          protected java.lang.String getURIAuthority​(org.eclipse.net4j.connector.IConnector connector)

    - #### getNet4jSession

          protected CDONet4jSession getNet4jSession​(org.eclipse.net4j.connector.IConnector connector,
                                                    java.lang.String userName,
                                                    java.lang.String passWord,
                                                    java.lang.String repositoryName)

      Since:
        4.1

    - #### getNet4jSessionConfiguration

          protected CDONet4jSessionConfiguration getNet4jSessionConfiguration​(org.eclipse.net4j.connector.IConnector connector,
                                                                              java.lang.String userName,
                                                                              java.lang.String passWord,
                                                                              java.lang.String repositoryName)

      Since:
        4.1

    - #### getSession

          @Deprecated
          protected CDOSession getSession​(org.eclipse.net4j.connector.IConnector connector,
                                          java.lang.String userName,
                                          java.lang.String passWord,
                                          java.lang.String repositoryName)

      Deprecated.
      Use `getNet4jSession()`.

    - #### getSessionConfiguration

          @Deprecated
          protected CDOSessionConfiguration getSessionConfiguration​(org.eclipse.net4j.connector.IConnector connector,
                                                                    java.lang.String userName,
                                                                    java.lang.String passWord,
                                                                    java.lang.String repositoryName)

      Deprecated.
      Use `getNet4jSessionConfiguration()`.

    - #### getContainer

          protected org.eclipse.net4j.util.container.IManagedContainer getContainer()

    - #### getConnector

          protected org.eclipse.net4j.connector.IConnector getConnector​(java.lang.String authority)

    - #### getConnectorDescription

          protected java.lang.String getConnectorDescription​(java.lang.String authority)